{% extends 'base.html' %}
{% block title %}My Receipts{% endblock title %}
{% block content %}
<h1 style="text-align: center; color: #4CAF50;">My Receipts</h1>
<table style="width: 80%; margin: 0 auto; border-collapse: collapse; font-family: Arial, sans-serif;">
    <thead>
        <tr style="background-color: #f2f2f2; text-align: left;">
            <th style="padding: 12px; border: 1px solid #ddd;">Vendor</th>
            <th style="padding: 12px; border: 1px solid #ddd;">Total</th>
            <th style="padding: 12px; border: 1px solid #ddd;">Tax</th>
            <th style="padding: 12px; border: 1px solid #ddd;">Date</th>
            <th style="padding: 12px; border: 1px solid #ddd;">Category</th>
            <th style="padding: 12px; border: 1px solid #ddd;">Account</th>
        </tr>
    </thead>
    <tbody>
        {% for receipt in receipts %}
        <tr style="background-color: {% cycle '#ffffff' '#f9f9f9' %};">
            <td style="padding: 12px; border: 1px solid #ddd;">{{ receipt.vendor }}</td>
            <td style="padding: 12px; border: 1px solid #ddd; text-align: right;">{{ receipt.total }}</td>
            <td style="padding: 12px; border: 1px solid #ddd; text-align: right;">{{ receipt.tax }}</td>
            <td style="padding: 12px; border: 1px solid #ddd;">{{ receipt.date|date:"m/d/y" }}</td>
            <td style="padding: 12px; border: 1px solid #ddd;">{{ receipt.category.name }}</td>
            <td style="padding: 12px; border: 1px solid #ddd;">{{ receipt.account.name }}</td>
        </tr>
        {% empty %}
        <tr>
            <td colspan="6" style="padding: 12px; border: 1px solid #ddd; text-align: center; font-style: italic;">No receipts found.</td>
        </tr>
        {% endfor %}
    </tbody>
</table>
{% endblock content %}
